## libdfx 2022.1

=== CMakeLists.txt ===
#***************************************************************
#* Copyright (c) 2020 Xilinx, Inc.  All rights reserved.
#* SPDX-License-Identifier: MIT
#***************************************************************

# Specify the minimum version for CMake
cmake_minimum_required(VERSION 2.8.9)

project(libdfx C)

#link_directories(${CMAKE_BINARY_DIR}/lib)
	
# Project's name
add_subdirectory(src)
add_subdirectory(apps)

=== apps/CMakeLists.txt ===
#***************************************************************
#* Copyright (c) 2020 Xilinx, Inc.  All rights reserved.
#* SPDX-License-Identifier: MIT
#***************************************************************

# Specify the minimum version for CMake
cmake_minimum_required(VERSION 2.8.9)	
# Project's name
project(dfx_app)

add_executable(dfx_app libdfx_app.c)
target_link_libraries(dfx_app dfx_static)

=== src/CMakeLists.txt ===
#***************************************************************
#* Copyright (c) 2020 Xilinx, Inc.  All rights reserved.
#* SPDX-License-Identifier: MIT
#***************************************************************

# Specify the minimum version for CMake
cmake_minimum_required(VERSION 2.8.9)	
# Project's name
project(dfx)
enable_language(C ASM)

set(libdfx_sources
        dmabuf_alloc.c
        libdfx.c
)

set(LIBDFX_INCLUDE_DIRS
        "include/"
)

file(COPY include/libdfx.h DESTINATION ${CMAKE_BINARY_DIR}/include)

add_library(dfx_shared SHARED ${libdfx_sources})
SET_TARGET_PROPERTIES(dfx_shared PROPERTIES OUTPUT_NAME "dfx")
SET_TARGET_PROPERTIES(dfx_shared PROPERTIES CLEAN_DIRECT_OUTPUT 1)

add_library(dfx_static STATIC ${libdfx_sources})
SET_TARGET_PROPERTIES(dfx_static PROPERTIES OUTPUT_NAME "dfx")
SET_TARGET_PROPERTIES(dfx_static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

target_include_directories(dfx_shared PUBLIC ${LIBDFX_INCLUDE_DIRS})
target_include_directories(dfx_static PUBLIC ${LIBDFX_INCLUDE_DIRS})
install(TARGETS dfx_shared; dfx_static
	ARCHIVE DESTINATION ${CMAKE_BINARY_DIR}/usr/lib
	LIBRARY DESTINATION ${CMAKE_BINARY_DIR}/usr/lib)

=== debian/changelog ===
libdfx (2022.1-0ubuntu0~xlnx2) jammy; urgency=medium

  * Update SONAME to the newly upstream defined one "libdfx1.0".
    - New patch, upstream-soname: from upstream, use SOVERSION 1.0 in
      src/CMakeLists.txt; should be part of 2022.2 release.
    - Drop patch fix-soname that was setting an Ubuntu SONAME.
    - fix-install-dir: update; still needed to install header and lib to
      their proper directories.
    - debian/control, debian/*.install: rename package libdfx0ubuntu1 to
      libdfx1.0.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 02 Oct 2022 10:22:29 +0000

libdfx (2022.1-0ubuntu0~xlnx1) jammy; urgency=medium

  * New upstream release.
    - Drop -DBUILD_SHARED_LIBS=yes as upstream always builds shared and static
      libs now.
    - Update patches fix-install-dir and fix-soname following changes to
      upstream build.
    - Update copyright file.
  * Fix watch file to track upstream tags.
  * Add shlibs:Depends to libdfx-dev.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 21 Apr 2022 11:43:34 +0000

libdfx (2021.2-0ubuntu0~xlnx1) jammy; urgency=medium

  * Initial release.
    - Add patch fix-soname to force SONAME to 0ubuntu1 while upstream
      defines a SONAME and commits to an ABI.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 19 Apr 2022 14:11:54 +0000

=== debian/control ===
Source: libdfx
Standards-Version: 4.6.0
Priority: optional
Section: libdevel
Maintainer: Loïc Minier <loic.minier@ubuntu.com>
Uploaders: John Toomey <john.toomey@amd.com>
Build-Depends: cmake, debhelper-compat (= 13)
Description: library to configure Progammable Logic on Xilinx FPGAs

Package: libdfx-dev
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, libdfx1.0 (= ${binary:Version})
Description: library to configure Progammable Logic on Xilinx FPGAs - development files
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Progammable Logic
 part of Xilinx FPGAs.
 .
 This package provides the development files.

Package: libdfx1.0
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to configure Progammable Logic on Xilinx FPGAs - shared library
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Progammable Logic
 part of Xilinx FPGAs.
 .
 This package provides the shared library.

## libdfx 2023.2

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #***************************************************************
 #* Copyright (c) 2020 Xilinx, Inc.  All rights reserved.
+#* Copyright (C) 2023, Advanced Micro Devices, Inc. All Rights Reserved.
 #* SPDX-License-Identifier: MIT
 #***************************************************************

=== src/CMakeLists.txt ===
#***************************************************************
#* Copyright (c) 2020 Xilinx, Inc.  All rights reserved.
#* Copyright (C) 2023, Advanced Micro Devices, Inc. All Rights Reserved
#* SPDX-License-Identifier: MIT
#***************************************************************

include(GNUInstallDirs)
# Specify the minimum version for CMake
cmake_minimum_required(VERSION 2.8.9)	
# Project's name
project(dfx)
enable_language(C ASM)

set(libdfx_sources
        dmabuf_alloc.c
        libdfx.c
)

set(LIBDFX_INCLUDE_DIRS
        "include/"
)

SET(LIBDFX_VERSION 1.0)

file(COPY include/libdfx.h DESTINATION ${CMAKE_BINARY_DIR}/include)

add_library(dfx_shared SHARED ${libdfx_sources})
SET_TARGET_PROPERTIES(dfx_shared PROPERTIES SOVERSION ${LIBDFX_VERSION} OUTPUT_NAME "dfx")
SET_TARGET_PROPERTIES(dfx_shared PROPERTIES CLEAN_DIRECT_OUTPUT 1)

add_library(dfx_static STATIC ${libdfx_sources})
SET_TARGET_PROPERTIES(dfx_static PROPERTIES OUTPUT_NAME "dfx")
SET_TARGET_PROPERTIES(dfx_static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

target_include_directories(dfx_shared PUBLIC ${LIBDFX_INCLUDE_DIRS})
target_include_directories(dfx_static PUBLIC ${LIBDFX_INCLUDE_DIRS})
install(FILES "include/libdfx.h" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(TARGETS dfx_shared; dfx_static
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libdfx (2023.2-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:55 +1100

libdfx (2023.2-0ubuntu3) noble; urgency=medium

  * Initial upload to Ubuntu archive (LP: #2039164)
    - 2023.2-0ubuntu3 is newer version than the one we have in limerick
      team ppa

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 19 Feb 2024 14:06:49 +0100

=== debian/control ===
Source: libdfx
Standards-Version: 4.6.2
Priority: optional
Section: libdevel
Homepage: https://github.com/Xilinx/libdfx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
Build-Depends: cmake, debhelper-compat (= 13)
Description: library to configure Programmable Logic on Xilinx FPGAs
Rules-Requires-Root: no

Package: libdfx-dev
Architecture: any
Depends: libdfx1.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: library to configure Programmable Logic on Xilinx FPGAs - development files
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Programmable Logic
 part of Xilinx FPGAs.
 .
 This package provides the development files.

Package: libdfx1.0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to configure Programmable Logic on Xilinx FPGAs - shared library
 libdfx provides a lightweight userspace library offering APIs for
 applications to configure payloads running on the Programmable Logic
 part of Xilinx FPGAs.
 .
 This package provides the shared library.

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Xilinx/libdfx.git \
refs/tags/xilinx_v([\d\.]+) debian uupdate

## libdfx 2024.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 project(libdfx C)
 
+OPTION(ENABLE_LIBDFX_TIME, OFF)
+IF(ENABLE_LIBDFX_TIME)
+add_compile_definitions(ENABLE_LIBDFX_TIME)
+endif(ENABLE_LIBDFX_TIME)
 #link_directories(${CMAKE_BINARY_DIR}/lib)
 	
 # Project's name

=== debian/changelog ===
libdfx (2024.2.0-0ubuntu1~24.04.1) noble; urgency=medium

  * SRU 2024.2.0 back to noble (LP: #2106333)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 09 May 2025 07:04:03 +0000

libdfx (2024.2.0-0ubuntu1) plucky; urgency=medium

  * Update to new upstream version 2024.2.0 (LP: #2097358)
    - d/libdfx1.0.symbols: added new symbol dfx_cfg_init_file
  * d/gbp.conf: create gbp configuration file

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 04 Feb 2025 13:22:14 +0100

=== debian/tests/control ===
Tests: build
Depends: gcc, libdfx-dev
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Xilinx/libdfx.git \
refs/tags/([\d\.]+) debian uupdate
